Gem path problem in MAC OS

I have installed ruby and gems long time ago using the tutorial in the
first edition of Pragmatic Programmers Agile Web D. With
Rails.

My Rails applications work fine, but when I install new gems they go
to /usr/local/lib/ruby/gems/1.8/gems - folder, and when I try to
require them it gives an error with the path /usr/local/lib/ruby/site-
ruby…

Do I have my install of Ruby broken or is this the correct way? Is
the /ruby/gems folder the correct folder for gems to install? If so,
why aren’t my requires working?